Skip to main content
POST
Create scrap

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
qty
number
required

Quantity to scrap. Must be at least 1. Must not be greater than 99999999999.

Example:

2

product_id
integer
required

Product ID. The id of an existing record in the products_products table.

Example:

1

origin
string | null

Source document reference. Must not be greater than 255 characters.

Example:

"WH/OUT/0001"

uom_id
integer | null

Unit of measure ID. The id of an existing record in the unit_of_measures table.

Example:

1

lot_id
integer | null

Lot ID. The id of an existing record in the inventories_lots table.

Example:

1

package_id
integer | null

Package ID. The id of an existing record in the inventories_packages table.

Example:

1

partner_id
integer | null

Owner partner ID. The id of an existing record in the partners_partners table.

Example:

1

source_location_id
integer | null

Source location ID. The id of an existing record in the inventories_locations table.

Example:

1

destination_location_id
integer | null

Destination scrap location ID. The id of an existing record in the inventories_locations table.

Example:

2

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

tags
integer[]

The id of an existing record in the inventories_tags table.

Example:

Response

Created